com.fasterxml.jackson.databind

## Class JsonDeserializer.None

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<java.lang.Object>
  - - com.fasterxml.jackson.databind.JsonDeserializer.None

- Enclosing class:
    JsonDeserializer<T>

      public abstract static class JsonDeserializer.None
      extends JsonDeserializer<java.lang.Object>

  This marker class is only to be used with annotations, to indicate that no deserializer is configured.

  Specifically, this class is to be used as the marker for annotation `JsonDeserialize`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `JsonDeserializer.None`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserialize, deserializeWithType, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`